Basic Installation
==================

kile relies on cmake to build.

Here are suggested default options:

 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"


Requirements for use:
=====================

Basic:

- TeTeX 2.0/3.0 or TeXLive (Including "AMS"-Packages and the documentation)
- KDVI

Advanced:

- KPDF, KGhostView (Viewing PS and PDF)
- Acroread (Viewing PDF)
- Imagemagick, DVIPNG 1.7 (Bottom bar preview)

By default there are also tools for the following programs defined:

- Tar/zip/gzip/bzip2 (Archive)
- DBlatex (Docbook to LaTeX)
- Metapost and Asymptote
- Latex2html (LaTeX to Web)
- Tex4ht (LaTeX to Web)
- Lilypond (Music Typesetting)
- Konqueror/Mozilla/Firefox (Viewing HTML)
- Kbibtex, KBib, JabRef, pybliographer, gbib (View Bibtex files)
